- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannBndryCntrlDiri2 Class Reference

Class implementating Example 2. More...

`#include <MittelmannBndryCntrlDiri.hpp>`

Inheritance diagram for MittelmannBndryCntrlDiri2:

[legend]
Collaboration diagram for MittelmannBndryCntrlDiri2:

[legend]
List of all members.

## Public Member Functions
| MittelmannBndryCntrlDiri2 ()
virtual | ~MittelmannBndryCntrlDiri2 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlDiri2 (const MittelmannBndryCntrlDiri2 &)
MittelmannBndryCntrlDiri2 & | operator= (const MittelmannBndryCntrlDiri2 &)

## Detailed Description

Class implementating Example 2.

Definition at line 230 of file MittelmannBndryCntrlDiri.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlDiri2::MittelmannBndryCntrlDiri2 | ( |  | ) | `[inline]`

Definition at line 233 of file MittelmannBndryCntrlDiri.hpp.

virtual MittelmannBndryCntrlDiri2::~MittelmannBndryCntrlDiri2 | ( |  | ) | `[inline, virtual]`

Definition at line 236 of file MittelmannBndryCntrlDiri.hpp.

MittelmannBndryCntrlDiri2::MittelmannBndryCntrlDiri2 | ( | const MittelmannBndryCntrlDiri2 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlDiri2::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 239 of file MittelmannBndryCntrlDiri.hpp.

References MittelmannBndryCntrlDiriBase::SetBaseParameters().

virtual Number MittelmannBndryCntrlDiri2::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlDiriBase.

Definition at line 256 of file MittelmannBndryCntrlDiri.hpp.

MittelmannBndryCntrlDiri2& MittelmannBndryCntrlDiri2::operator= | ( | const MittelmannBndryCntrlDiri2 & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/examples/ScalableProblems/MittelmannBndryCntrlDiri.hpp